Skip to content

Stored only in your browser. Get one under Tokens.

Post Step Progress information for a step.

PUT
/trails/{id}/steps/{rev}/progress

Post Step Progress information for a step.
Only device accounts can put status info. they are expected to provide at status field.
all input paramaters besides the device-progress one are ignored.

Authorizations

ApiKeyAuth
Type
API Key (header: Authorization)

Parameters

Path Parameters

id*

ID|NICK|PRN

Type
string
Required
rev*

REV_ID

Type
string
Required

Request Body

application/json
JSON
{
  
"data": {
  
},
  
"downloads": {
  
  
"objects": [
  
  
  
{
  
  
  
  
"current_time": 0,
  
  
  
  
"object_id": "string",
  
  
  
  
"object_name": "string",
  
  
  
  
"start_time": 0,
  
  
  
  
"total_downloaded": 0,
  
  
  
  
"total_size": 0
  
  
  
}
  
  
],
  
  
"total": {
  
  
  
"current_time": 0,
  
  
  
"object_id": "string",
  
  
  
"object_name": "string",
  
  
  
"start_time": 0,
  
  
  
"total_downloaded": 0,
  
  
  
"total_size": 0
  
  
}
  
},
  
"logs": "string",
  
"progress": 0,
  
"retries": 0,
  
"status": "string",
  
"status-msg": "string"
}

Responses

OK

application/json
JSON
{
  
"data": {
  
},
  
"downloads": {
  
  
"objects": [
  
  
  
{
  
  
  
  
"current_time": 0,
  
  
  
  
"object_id": "string",
  
  
  
  
"object_name": "string",
  
  
  
  
"start_time": 0,
  
  
  
  
"total_downloaded": 0,
  
  
  
  
"total_size": 0
  
  
  
}
  
  
],
  
  
"total": {
  
  
  
"current_time": 0,
  
  
  
"object_id": "string",
  
  
  
"object_name": "string",
  
  
  
"start_time": 0,
  
  
  
"total_downloaded": 0,
  
  
  
"total_size": 0
  
  
}
  
},
  
"logs": "string",
  
"progress": 0,
  
"retries": 0,
  
"status": "string",
  
"status-msg": "string"
}

Playground

Authorization
Variables
Key
Value
Body

Samples

Powered by VitePress OpenAPI